| edamhasinput

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find EDAM ontology terms by has_input relation

## Description

edamhasinput searches the has_input relations of EDAM terms and returns matching terms. The input is read from the installed EDAM database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified EDAM namespaces.

## Usage

Here is a sample session with edamhasinput

    % edamhasinput sequence
    Find EDAM ontology terms by has_input relation
    Obo output file [edamhasinput.obo]:

Go to the output files for this example

## Command line arguments

    Find EDAM ontology terms by has_input relation
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-identifier]        string     Identifier(s) to search for in ontology (Any
                                      string)
      [-outfile]           outobo     [*.edamhasinput] Output ontology term file
                                      name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: data (Data entity);
                                      entity (Biological entity); format (Data
                                      format); identifier (Identifier); operation
                                      (Bioinformatics operation); resource (Data
                                      resource); topic (Field of bioinformatics
                                      study))

       Advanced (Unprompted) qualifiers:
       -sensitive          boolean    [N] By default, the query keywords are
                                      matched against the EDAM term names (and
                                      synonyms) only. This option also matches the
                                      keywords against the EDAM term definitions
                                      and will therefore (typically) report more
                                      matches.
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-identifier] (Parameter 1) | string | Identifier(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.edamhasinput
Additional (Optional) qualifiers

-namespace

list

By default all terms are returned. Searches can be limited to one or a few namespaces.

data | (Data entity)
entity | (Biological entity)
format | (Data format)
identifier | (Identifier)
operation | (Bioinformatics operation)
resource | (Data resource)
topic | (Field of bioinformatics study)

*

Advanced (Unprompted) qualifiers
-sensitive | boolean | By default, the query keywords are matched against the EDAM term names (and synonyms) only. This option also matches the keywords against the EDAM term definitions and will therefore (typically) report more matches. | Boolean value Yes/No | No
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

edamhasinput queries the EDAM ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: edamhasinput.obo

    [Term]
    id: EDAM_operation:1780
    name: Sequence submission
    namespace: operation
    def: Submit a molecular sequence to a database.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:2446 ! Sequence processing
    relationship: has_input EDAM_data:2044 ! Sequence
    relationship: has_topic EDAM_topic:3077 ! Data acquisition and deposition

    [Term]
    id: EDAM_operation:0564
    name: Sequence rendering
    namespace: operation
    def: Visualise, format or render a molecular sequence, possibly with sequence features or properties shown.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0337 ! Plotting and rendering
    is_a: EDAM_operation:2446 ! Sequence processing
    relationship: has_input EDAM_data:2044 ! Sequence
    relationship: has_output EDAM_data:2969 ! Sequence image

    [Term]
    id: EDAM_operation:2451
    name: Sequence comparison
    namespace: operation
    def: Compare two or more molecular sequences.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:2403 ! Sequence analysis
    is_a: EDAM_operation:2424 ! Comparison
    relationship: has_input EDAM_data:2044 ! Sequence
    relationship: has_output EDAM_data:2955 ! Sequence report
    relationship: has_topic EDAM_topic:0159 ! Sequence comparison

    [Term]
    id: EDAM_operation:0292
    name: Sequence alignment construction
    namespace: operation
    def: Align (identify equivalent sites within) molecular sequences.
    subset: bioinformatics
    subset: edam
    subset: operations

      [Part of this file has been deleted for brevity]

    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0338 ! Sequence database search
    relationship: has_input EDAM_data:1267 ! Amino acid frequencies
    relationship: has_topic EDAM_topic:0157 ! Sequence composition analysis

    [Term]
    id: EDAM_operation:0566
    name: Sequence cluster rendering
    namespace: operation
    def: Visualise, format or render sequence clusters.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0337 ! Plotting and rendering
    is_a: EDAM_operation:2452 ! Sequence cluster processing
    relationship: has_input EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_operation:2507
    name: Sequence alignment analysis (nucleic acid)
    namespace: operation
    def: Analyse a protein sequence alignment, typically to detect features or make predictions.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0258 ! Sequence alignment analysis
    is_a: EDAM_operation:2501 ! Nucleic acid data processing
    is_a: EDAM_operation:3024 ! Prediction, detection and recognition (nucleic acid)
    relationship: has_input EDAM_data:1383 ! Sequence alignment (nucleic acid)
    relationship: has_topic EDAM_topic:0740 ! Nucleic acid sequence alignment

    [Term]
    id: EDAM_operation:2479
    name: Protein sequence analysis
    namespace: operation
    def: Analyse a protein sequence (using methods that are only applicable to protein sequences).
    subset: bioinformatics
    subset: edam
    subset: operations
    synonym: "Sequence analysis (protein)" EXACT []
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:2403 ! Sequence analysis
    is_a: EDAM_operation:2447 ! Sequence processing (protein)
    relationship: has_input EDAM_data:2976 ! Protein sequence
    relationship: has_topic EDAM_topic:0639 ! Protein sequence analysis

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
edamdef | Find EDAM ontology terms by definition
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None